package org.processmining.divideandconquer.miners;

import org.processmining.acceptingpetrinetminer.miners.impl.DecomposedAbstractHybridILPMiner;
import org.processmining.causalactivitymatrixminer.miners.MatrixMiner;
import org.processmining.causalactivitymatrixminer.miners.impl.HAFAvgMatrixMiner;

public class DecomposedHybridILPMinerAvg extends DecomposedAbstractHybridILPMiner {

	public String getName() {
		return "Hybrid ILP MIner (Average)";
	}

	public MatrixMiner getMiner() {
		System.out.println("[DecomposedHybridILPMinerFuzzy] Discovering Average matrix");
		return new HAFAvgMatrixMiner();
	}

}


