package org.processmining.plugins;

import java.io.File;
import java.io.InputStream;

import javax.swing.filechooser.FileFilter;
import javax.swing.filechooser.FileNameExtensionFilter;

import org.processmining.framework.abstractplugins.AbstractImportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.models.ReplayResultArray;
import org.processmining.models.impl.DivideAndConquerFactory;

/**
 * 
 * @author hverbeek
 * @deprecated Please use org.processmining.logalignment.plugins.ImportReplayResultArrayPlugin instead.
 */
@Deprecated
//Plugin(name = "Import Replay Result Array from RRA file", parameterLabels = { "Filename" }, returnLabels = { "replay Result Array" }, returnTypes = { ReplayResultArray.class })
//UIImportPlugin(description = "RRA Replay Result Array files", extensions = { "rra" })
public class ImportReplayResultArrayPlugin extends AbstractImportPlugin {

	protected FileFilter getFileFilter() {
		return new FileNameExtensionFilter("RRA files", "rra");
	}

	protected Object importFromStream(PluginContext context, InputStream input, String filename, long fileSizeInBytes)
			throws Exception {
		ReplayResultArray replayResults = DivideAndConquerFactory.createReplayResultArray();
		File file = getFile();
		String parent = (file == null ? null : file.getParent());
		replayResults.importFromStream(context, input, parent);
		return replayResults;
	}}
