package org.processmining.divideandconquer.miners;

import org.processmining.acceptingpetrinetminer.miners.impl.DecomposedAbstractHybridILPMiner;
import org.processmining.causalactivitymatrixminer.miners.MatrixMiner;
import org.processmining.causalactivitymatrixminer.miners.impl.HAFMidiMatrixMiner;

public class DecomposedHybridILPMinerMidi extends DecomposedAbstractHybridILPMiner {

	public String getName() {
		return "Hybrid ILP MIner (Midi)";
	}

	public MatrixMiner getMiner() {
		System.out.println("[DecomposedHybridILPMinerFuzzy] Discovering Midi matrix");
		return new HAFMidiMatrixMiner();
	}

}
