package org.processmining.models.impl;

import org.processmining.models.AcceptingPetriNet;
import org.processmining.models.AcceptingPetriNetArray;
import org.processmining.models.ActivityClusterArray;
import org.processmining.models.CausalActivityGraph;
import org.processmining.models.CausalActivityMatrix;
import org.processmining.models.EventLogArray;
import org.processmining.models.LogAlignment;
import org.processmining.models.LogAlignmentArray;
import org.processmining.models.ReplayResultArray;
import org.processmining.models.TraceAlignment;

public class DivideAndConquerFactory {

	/**
	 * @deprecated Please use org.processmining.acceptingpetrinet.models.impl.AcceptingPetriNetArrayFactory.createAcceptingPetriNetArray() instead.
	 * @return
	 */
	@Deprecated
	public static AcceptingPetriNetArray createAcceptingPetriNetArray() {
		return new AcceptingPetriNetArrayImpl();
	}

	/**
	 * @deprecated Please use org.processmining.acceptingpetrinet.models.impl.AcceptingPetriNetFactory.createAcceptingPetriNet() instead.
	 * @return
	 */
	@Deprecated
	public static AcceptingPetriNet createAcceptingPetriNet() {
		return new AcceptingPetriNetImpl();
	}

	/**
	 * @deprecated Please use org.processmining.activityclusterarray.models.impl.ActivityClusterArrayFactory.createActivityClusterArray() instead.
	 * @return
	 */
	@Deprecated
	public static ActivityClusterArray createActivityClusterArray() {
		return new ActivityClusterArrayImpl();
	}

	/**
	 * @deprecated Please use org.processmining.causalactivitygraph.models.impl.CausalActivityGraphFactory.createCausalActivityGraph() instead.
	 * @return
	 */
	@Deprecated
	public static CausalActivityGraph createCausalActivityGraph() {
		return new CausalActivityGraphImpl();
	}

	/**
	 * @deprecated Please use org.processmining.causalactivitymatrix.models.impl.CausalActivityMatrixFactory.createCausalActivityMatrix() instead.
	 * @return
	 */
	@Deprecated
	public static CausalActivityMatrix createCausalActivityMatrix() {
		return new CausalActivityMatrixImpl();
	}

	/**
	 * @deprecated Please use org.processmining.log.models.impl.EventLogArrayFactory.createEventLogArray() instead.
	 * @return
	 */
	@Deprecated
	public static EventLogArray createEventLogArray() {
		return new EventLogArrayImpl();
	}
	
	/**
	 * @deprecated Please use org.processmining.logalignment.models.impl.ReplayResultArrayFactory.createReplayResultArray() instead.
	 * @return
	 */
	@Deprecated
	public static ReplayResultArray createReplayResultArray() {
		return new ReplayResultArrayImpl();
	}
	
	/**
	 * @deprecated Please use org.processmining.logalignment.models.impl.TraceAlignmentFactory.createTraceAlignment() instead.
	 * @return
	 */
	@Deprecated
	public static TraceAlignment createTraceAlignment() {
		return new TraceAlignmentImpl();
	}
	
	/**
	 * @deprecated Please use org.processmining.logalignment.models.impl.LogAlignmentFactory.createLogAlignment() instead.
	 * @return
	 */
	@Deprecated
	public static LogAlignment createLogAlignment() {
		return new LogAlignmentImpl();
	}
	
	/**
	 * @deprecated Please use org.processmining.logalignment.models.impl.LogAlignmentArrayFactory.createLogAlignmentArray() instead.
	 * @return
	 */
	@Deprecated
	public static LogAlignmentArray createLogAlignmentArray() {
		return new LogAlignmentArrayImpl();
	}
}
