package org.processmining.plugins;

import java.awt.Color;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.models.AcceptingPetriNet;
import org.processmining.models.graphbased.AttributeMap;
import org.processmining.models.graphbased.ViewSpecificAttributeMap;
import org.processmining.models.graphbased.directed.petrinet.elements.Place;
import org.processmining.models.jgraph.ProMJGraphVisualizer;
import org.processmining.models.semantics.petrinet.Marking;

/**
 * 
 * @author hverbeek
 * @deprecated Please use org.processmining.acceptingpetrinet.plugins.VisualizeAcceptingPetriNetPlugin instead.
 */
@Deprecated
//Plugin(name = "Visualize Accepting Petri Net", returnLabels = { "Visualized Accepting Petri Net" }, returnTypes = { JComponent.class }, parameterLabels = { "Accepting Petri Net" }, userAccessible = false)
//Visualizer
public class VisualizeAcceptingPetriNetPlugin {

//	PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(UIPluginContext context, AcceptingPetriNet net) {
		ViewSpecificAttributeMap map = new ViewSpecificAttributeMap();
		for (Place place: net.getInitialMarking().baseSet()) {
			map.putViewSpecific(place, AttributeMap.FILLCOLOR, new Color(127, 0, 0));
		}
		for (Marking marking: net.getFinalMarkings()) {
			for (Place place: marking.baseSet()) {
				if (net.getInitialMarking().baseSet().contains(place)) {
					map.putViewSpecific(place, AttributeMap.FILLCOLOR, new Color(127, 0, 127));
				} else {
					map.putViewSpecific(place, AttributeMap.FILLCOLOR, new Color(0, 0, 127));
				}
			}
		}
		return ProMJGraphVisualizer.instance().visualizeGraph(context, net.getNet(), map);
	}
}
